Bug 1315694 - SELinux is preventing kdm from 'read' accesses on the file kdewallet.salt.
SELinux is preventing kdm from 'read' accesses on the file kdewallet.salt.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
high Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:f0e0a00dc0af09f63a26c33b8ee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-08 07:27 EST by Ken Fallon
Modified: 2016-03-12 04:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 04:53:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Fallon 2016-03-08 07:27:02 EST
Description of problem:
SELinux is preventing kdm from 'read' accesses on the file kdewallet.salt.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that kdm should be allowed read access on the kdewallet.salt file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep kdm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:home_root_t:s0
Target Objects                kdewallet.salt [ file ]
Source                        kdm
Source Path                   kdm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.9.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.4.3-300.fc23.x86_64 #1 SMP Fri
                              Feb 26 18:45:40 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-03-08 13:05:46 CET
Last Seen                     2016-03-08 13:05:46 CET
Local ID                      cdd42b88-6299-488b-8267-3aeee6a1f014

Raw Audit Messages
type=AVC msg=audit(1457438746.797:287): avc:  denied  { read } for  pid=1667 comm="kdm" name="kdewallet.salt" dev="dm-1" ino=12583403 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:home_root_t:s0 tclass=file permissive=0


Hash: kdm,xdm_t,home_root_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-158.9.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.3-300.fc23.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2016-03-09 10:18:42 EST
Hi, 
Could you run:
# restorecon -Rv /home 

And try to catch this avc again? 

Thank you.
Comment 2 Ken Fallon 2016-03-12 04:53:25 EST
restorecon -Rv /home

seems to have resolved the issues.

Thanks - closing.

Note You need to log in before you can comment on or make changes to this bug.